View Issue Details

IDProjectCategoryView StatusLast Update
0017437LazarusIDEpublic2010-10-28 12:21
Reporterrodrigo josé estábile aliotti Assigned ToVincent Snijders  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformUbuntu 10.04OSlinux x86/64 
Product Version0.9.29 (SVN) 
Summary0017437: Problem in Compile the IDE
DescriptionAfter download the Revision 27408 using SVN and try compile return:
Fatal: Can't find unit LResources used by DividerBevel
Fatal: Compilation aborted
make[2]: ** [lazcontrols.ppu] Erro 1
make[2]: Saindo do diretório `/usr/lib/lazarus/0.9.29-active/components/lazcontrols'
make[1]: ** [lazcontrols_all] Erro 2
make[1]: Saindo do diretório `/usr/lib/lazarus/0.9.29-active/components'
make: ** [components] Erro 2
Steps To Reproducecd '/media/Repository/Development/SVN'
svn co http://svn.freepascal.org/svn/lazarus/trunk lazarus
svn export '/media/Repository/Development/SVN/lazarus' /usr/lib/lazarus/0.9.29-new/
cd /usr/lib/lazarus
rm -R -f /usr/lib/lazarus/0.9.29-old
mv /usr/lib/lazarus/0.9.29-active /usr/lib/lazarus/0.9.29-old
mv /usr/lib/lazarus/0.9.29-new /usr/lib/lazarus/0.9.29-active
chmod 777 -R /usr/lib/lazarus/0.9.29-active/
cd /usr/lib/lazarus/0.9.29-active
make clean all


TagsNo tags attached.
Fixed in Revision27417
LazTarget-
Widgetset
Attached Files

Relationships

has duplicate 0017447 closedVincent Snijders Can't buold IDE 

Activities

Mattias Gaertner

2010-09-18 17:42

manager   ~0041180

It works with 2.5.1 and 2.4.0:

svn export http://svn.freepascal.org/svn/lazarus/trunk lazarus && cd lazarus && make clean all

Please compile with -va

make OPT=-va > log.txt

This will tell you why the compiler does not work for you.

rodrigo josé estábile aliotti

2010-09-19 18:03

reporter   ~0041204

problem returned in revision 27412 of lazarus

Mattias Gaertner

2010-09-19 22:22

manager   ~0041211

Last edited: 2010-09-19 22:24

It still works here.
Maybe you have a non standard fpc.cfg?

Please attach the output of

make clean all OPT=-vut

Stephano

2010-09-20 00:47

developer   ~0041214

There was a problem indeed in compiling version ~ >= 27408
I discovered strange SVN conflicts in some of the makefiles (though I never touch makefiles, but they could have been regenerated automatically??). Once the files were reverted, compilation proceeded smoothly.

rodrigo josé estábile aliotti

2010-09-20 01:05

reporter   ~0041216

Problem returned after of revision 27411 and it had is corrected in revision 27409

Mario Bonati

2010-09-20 10:08

reporter   ~0041227

Last edited: 2010-09-20 10:15

I've the same error with revision 27415

FPC 2.4.0


I've tried compiling with "make clean all OPT=-vut", and this is the error:

Fatal: Can't find unit LResources used by DividerBevel
Searching file dividerbevel.pas... found
Fatal: Compilation aborted
make[2]: *** [lazcontrols.ppu] Error 1
make[2]: Leaving directory `C:/Lazarus/components/lazcontrols'
make[1]: *** [lazcontrols_all] Error 2
make[1]: Leaving directory `C:/Lazarus/components'
C:\Lazarus\fpc\2.4.0\bin\i386-win32\make: *** [components] Error 2

rodrigo josé estábile aliotti

2010-10-28 12:21

reporter   ~0042243

problem resolved

Issue History

Date Modified Username Field Change
2010-09-18 14:00 rodrigo josé estábile aliotti New Issue
2010-09-18 17:42 Mattias Gaertner Note Added: 0041180
2010-09-18 17:43 Mattias Gaertner LazTarget => -
2010-09-18 17:43 Mattias Gaertner Status new => feedback
2010-09-19 18:03 rodrigo josé estábile aliotti Note Added: 0041204
2010-09-19 22:22 Mattias Gaertner Note Added: 0041211
2010-09-19 22:24 Mattias Gaertner Note Edited: 0041211
2010-09-20 00:47 Stephano Note Added: 0041214
2010-09-20 01:05 rodrigo josé estábile aliotti Note Added: 0041216
2010-09-20 10:08 Mario Bonati Note Added: 0041227
2010-09-20 10:15 Mario Bonati Note Edited: 0041227
2010-09-20 10:33 Vincent Snijders Fixed in Revision => 27417
2010-09-20 10:33 Vincent Snijders Status feedback => resolved
2010-09-20 10:33 Vincent Snijders Resolution open => fixed
2010-09-20 10:33 Vincent Snijders Assigned To => Vincent Snijders
2010-09-20 11:22 Vincent Snijders Relationship added has duplicate 0017447
2010-10-28 12:21 rodrigo josé estábile aliotti Status resolved => closed
2010-10-28 12:21 rodrigo josé estábile aliotti Note Added: 0042243